#ifndef	_LZIL_H_
#define	_LZIL_H_

#include <sys/indirect.h>


typedef struct {
    IL	super;
    int (far *lz)(void far *src, void far *dst, void far *work);
	unsigned short (far *lzFont)(void far *src, void far *work, short spat);
} LZIL;


typedef struct {
	unsigned short	magic;
	unsigned short	type;
	short			size16p;
	unsigned short	id;
	unsigned short	type2;
} RES_COMMON_HEADER;


/* ---- PȂx^f[^ ---- */
typedef struct {
	/* Type2 == 'DT' */
	unsigned short	size;
} TYPE_DT;


/* ---- FRBM ݊tHgf[^ ---- */
typedef struct {
	/* Type2 == 'BM' */
	unsigned short	size;			/* wb_͊܂߂܂ */
	unsigned char	width;    		/* char count x */
   	unsigned char	height;			/* char count y */
   	unsigned char	format;			/* 0=mono, 1=4color, 2=3color+BG, 4..7=16color */
   	unsigned char	reserve;
   	unsigned char	clrtable[4];	/* not used in 16color image */
	unsigned short	pal_table[16];	/* clut */
} TYPE_BM;


typedef struct {
	RES_COMMON_HEADER	LZ;
	union {
		TYPE_DT	DT;
		TYPE_BM	BM;	
	} TYPE;
} RES_LZ;


#endif /* _LZIL_H_ */

