
.SUFFIXES: .fx .EXE .exe .BIN .bin .OBJ .obj .ASM .a86 .c

DIR=c:/wwitch

# start up routine
C0WW_ASCII1=$(DIR)/lib/c0wwasc1.obj
C0WW_ASCII2=$(DIR)/lib/c0wwasc2.obj
C0WW_JAPANESE1=$(DIR)/lib/c0wwjpn1.obj
C0WW_JAPANESE2=c:\wwitch\lib\c0wwjpn2.obj

C0WW=$(C0WW_JAPANESE2)

LIBWW=libww.rsp

# copying command
#CP=cp -p
CP=copy

# deleting command
#RM=rm -f
RM=del

#CFLAGS=-ms -zCTEXT -zRDATA -zDBSS -zBDATA -zPCGROUP -zSDGROUP -zGDGROUP
CFLAGS=-ms -zPCGROUP -zSDGROUP -zGDGROUP
DEFINES=

.bin.fx:
	mkfent $*.cf

.obj.bin:
#	lcc86 -a$(C0WW) -k-M -o $*.bin $^
	tlink /m /c $(C0WW) $^, $*, $*, @$(LIBWW)
	exe2fbin $*.exe $*.bin

.c.obj:
	tcc -c $(CFLAGS) $(DEFINES) -Ic:/wwitch/include $<

.c.ASM:
	tcc -S $(CFLAGS) $(DEFINES) -Ic:/wwitch/include $<



default:	all

clean:
	$(RM) *.OBJ
	$(RM) *.obj
	$(RM) *.EXE
	$(RM) *.exe
	$(RM) *.BIN
	$(RM) *.bin
	$(RM) *.fx
	$(RM) *.il
	$(RM) *.map
